class AffectsController < ApplicationController
  layout 'painel'

  before_filter :require_login

  # GET /affect
  def new
    @affect = Affect.new
    @incident = Incident.find(params[:incident_id])

    if params.has_key?(:search)
      @cis = Ci.where('name ilike ?', "%#{ params[:search] }%")
    else
      @cis = Ci.all
    end
  end

  # POST /affect/1
  def create
    @affect = Affect.new(affect_params)
    @incident = Incident.find(affect_params[:incident_id])
    @ci = Ci.find(affect_params[:ci_id])

    if is_already_affected?(@ci, @incident)
      flash[:warning] = "Incidente já possui este item de Configuração!"
      redirect_to @incident
    else
      if @affect.save
        flash[:success] = 'Item de configuração foi adicionado ao incidente.'
        redirect_to @incident
      else
        render :new
      end
    end
  end

  # POST /affect/1
  def destroy
    @affect = Affect.find_by(incident_id: params[:incident_id], ci_id: params[:ci_id])
    @affect.destroy

    respond_to do |format|
      format.html do
        flash[:success] = 'Item de configuração foi removido do incidente.'
        redirect_to :back
      end
    end
  end

  protected

  def is_already_affected?(ci, incident)
    if Affect.where(ci_id: ci.id, incident_id: incident.id).first
      return true
    else
      return false
    end
  end

  private

  def affect_params
    params.require(:affect).permit(:incident_id, :ci_id)
  end
end
