class CiTypesController < ApplicationController
  before_action :set_ci_type, only: :destroy
  before_filter :require_login

  # POST /ci_types
  def create
    @ci_type = CiType.new(ci_type_params)

    begin
      if @ci_type.save!
        flash[:success] = 'O tipo de item de configuração foi criado.'
      end
    rescue => e
      flash[:danger] = e.message
    end

    redirect_to :back
  end

  # DELETE /ci_types/1
  def destroy
    @ci_type.destroy
    flash[:success] = 'O tipo de item de configuração foi removido.'
    redirect_to :back
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_ci_type
      @ci_type = CiType.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def ci_type_params
      params.permit(:description)
    end
end
