class ImpactsController < ApplicationController
  before_action :set_impact, only: :destroy
  before_filter :require_login

  # POST /relation
  def create
    @impact = Impact.new(impact_params)

    begin
      if @impact.save!
        flash[:success] = 'O tipo de impacto foi criado.'
      end
    rescue => e
      flash[:danger] = e.message
    end

    redirect_to :back
  end

  # DELETE /relation/1
  def destroy
    @impact.destroy
    flash[:success] = 'O tipo de impacto foi removido.'
    redirect_to :back
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_impact
      @impact = Impact.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def impact_params
      params.permit(:description, :level)
    end
end
