class LogsController < ApplicationController
  layout 'painel'

  before_filter :require_login

  # GET /log
  def new
    @log = Log.new
    @incident = Incident.find(params[:incident_id])
  end

  # POST /log/1
  def create
    @log = Log.new(log_params)
    @incident = Incident.find(log_params[:incident_id])

    if @log.save
      flash[:success] = 'Registro foi criado.'
      redirect_to @incident
    else
      render :new
    end
  end

  # POST /log/1
  def destroy
    @log = Log.find(params[:id])
    @log.destroy

    respond_to do |format|
      format.html do
        flash[:success] = 'O registro foi removido.'
        redirect_to :back
      end
    end
  end

  private

  def log_params
    params.require(:log).permit(:incident_id, :user_id, :message)
  end
end
