class PrioritiesController < ApplicationController
  before_action :set_priority, only: :destroy
  before_filter :require_login

  # POST /relation
  def create
    @priority = Priority.new(priority_params)

    begin
      if @priority.save!
        flash[:success] = 'O tipo de prioridade foi criado.'
      end
    rescue => e
      flash[:danger] = e.message
    end

    redirect_to :back
  end

  # DELETE /relation/1
  def destroy
    @priority.destroy
    flash[:success] = 'O tipo de prioridade foi removido.'
    redirect_to :back
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_priority
      @priority = Priority.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def priority_params
      params.permit(:description, :level)
    end
end
