class RelationsController < ApplicationController
  before_action :set_relation, only: :destroy
  before_filter :require_login

  # POST /relation
  def create
    @relation = Relation.new(relation_params)

    begin
      if @relation.save!
        flash[:success] = 'O tipo de relação foi criado.'
      end
    rescue => e
      flash[:danger] = e.message
    end

    redirect_to :back
  end

  # DELETE /relation/1
  def destroy
    @relation.destroy
    flash[:success] = 'O tipo de relação foi removido.'
    redirect_to :back
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_relation
      @relation = Relation.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def relation_params
      params.permit(:description)
    end
end
