class SessionsController < ApplicationController
  def new
    if user_signed_in?
      redirect_to dashboards_url
    end
  end

  def create
    email = params[:session][:email].downcase
    password = params[:session][:password]

    if sign_in(email, password)
      redirect_to dashboards_path
    else
      flash.now[:warning] = 'Usuário ou senha inválidos.'
      render :new
    end
  end

  def destroy
    sign_out
    flash[:success] = 'Você saiu do sistema.'
    redirect_to login_path
  end

  def update_session_profile
    profile = session_params[:profile_id].to_i

    if profile
      session[:profile_id] = profile
    end

    redirect_to dashboards_path
  end

  protected

  def session_params
    params.permit(:profile_id)
  end
end
