class UrgenciesController < ApplicationController
  before_action :set_urgency, only: :destroy
  before_filter :require_login
  before_filter :require_login

  # POST /relation
  def create
    @urgency = Urgency.new(urgency_params)

    begin
      if @urgency.save!
        flash[:success] = 'O tipo de urgência foi criado.'
      end
    rescue => e
      flash[:danger] = e.message
    end

    redirect_to :back
  end

  # DELETE /relation/1
  def destroy
    @urgency.destroy
    flash[:success] = 'O tipo de urgência foi removido.'
    redirect_to :back
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_urgency
      @urgency = Urgency.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def urgency_params
      params.permit(:description, :level)
    end
end
