class Ci < ActiveRecord::Base
  belongs_to :team
  belongs_to :ci_type
  accepts_nested_attributes_for :ci_type, :team

  has_many :relationships
  has_many :relaters, through: :relationships
  has_many :inverse_relationships, class_name: "Relationships", foreign_key: "relater_id"
  has_many :inverse_relationships, through: :inverse_relationships, source: :ci

  has_many :affects
  has_many :incidents, through: :affects

  validates :name, presence: true
  validates :description, presence: true
  validates :ci_type_id, presence: true
  validates :team_id, presence: true
end
