Rails.application.routes.draw do
  resources :sessions, only: [:new, :create, :destroy]
  resources :users
  resources :teams
  resources :memberships, only: [:new, :create, :destroy]
  resources :cis do
    get :autocomplete_team_name, :on => :collection
  end
  resources :ci_types, only: [:create, :destroy]
  resources :relationships, only: [:new, :create, :destroy]
  resources :relations, only: [:create, :destroy]
  resources :opening_categories
  resources :closing_categories
  resources :impacts, only: [:create, :destroy]
  resources :urgencies, only: [:create, :destroy]
  resources :priorities, only: [:create, :destroy]
  resources :incidents do
    get :autocomplete_user_name, :on => :collection
    get :autocomplete_team_name, :on => :collection
  end
  resources :logs, only: [:new, :create, :destroy]
  resources :causes, only: [:new, :create, :destroy] do
    get :autocomplete_user_name, :on => :collection
    get :autocomplete_team_name, :on => :collection
  end
  resources :affects, only: [:new, :create, :destroy] do
    get :autocomplete_ci_name, :on => :collection
  end
  resources :settings, only: :index
  resources :dashboards, only: :index
  resources :roles, only: [:new, :create, :destroy]
  resources :reports, only: :index

  get     '/login',     to: 'sessions#new'
  post    '/login',     to: 'sessions#create'
  delete  '/logout',    to: 'sessions#destroy'
  patch   '/sessions/profile/:profile_id',  to: 'sessions#update_session_profile', as: :update_session_profile

  # The priority is based upon order of creation: first created -> highest priority.
  # See how all your routes lay out with "rake routes".

  # You can have the root of your site routed with "root"
  # root 'welcome#index'
  root 'sessions#new'

  # Example of regular route:
  #   get 'products/:id' => 'catalog#view'

  # Example of named route that can be invoked with purchase_url(id: product.id)
  #   get 'products/:id/purchase' => 'catalog#purchase', as: :purchase

  # Example resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Example resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Example resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Example resource route with more complex sub-resources:
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', on: :collection
  #     end
  #   end

  # Example resource route with concerns:
  #   concern :toggleable do
  #     post 'toggle'
  #   end
  #   resources :posts, concerns: :toggleable
  #   resources :photos, concerns: :toggleable

  # Example resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end
end
