# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20151125183851) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "affects", force: :cascade do |t|
    t.integer  "incident_id"
    t.integer  "ci_id"
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  add_index "affects", ["ci_id"], name: "index_affects_on_ci_id", using: :btree
  add_index "affects", ["incident_id"], name: "index_affects_on_incident_id", using: :btree

  create_table "causes", force: :cascade do |t|
    t.integer  "causer_id"
    t.integer  "incident_id"
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "ci_types", force: :cascade do |t|
    t.string   "description", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "cis", force: :cascade do |t|
    t.string   "name",                       null: false
    t.string   "description",                null: false
    t.integer  "ci_type_id",                 null: false
    t.integer  "team_id"
    t.boolean  "active",      default: true
    t.datetime "created_at",                 null: false
    t.datetime "updated_at",                 null: false
  end

  create_table "closing_categories", force: :cascade do |t|
    t.string   "name"
    t.string   "description"
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "impacts", force: :cascade do |t|
    t.integer  "level",       null: false
    t.string   "description", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "incidents", force: :cascade do |t|
    t.string   "title",               null: false
    t.text     "description",         null: false
    t.integer  "state_id",            null: false
    t.integer  "impact_id",           null: false
    t.integer  "priority_id",         null: false
    t.integer  "urgency_id",          null: false
    t.integer  "opening_category_id", null: false
    t.integer  "closing_category_id"
    t.integer  "requester_id",        null: false
    t.integer  "agent_id",            null: false
    t.integer  "assignee_id"
    t.integer  "team_id",             null: false
    t.datetime "created_at",          null: false
    t.datetime "updated_at",          null: false
  end

  create_table "logs", force: :cascade do |t|
    t.integer  "user_id"
    t.integer  "incident_id"
    t.text     "message",     null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  add_index "logs", ["incident_id"], name: "index_logs_on_incident_id", using: :btree
  add_index "logs", ["user_id"], name: "index_logs_on_user_id", using: :btree

  create_table "memberships", force: :cascade do |t|
    t.integer  "user_id"
    t.integer  "team_id"
    t.boolean  "is_manager", default: false
    t.boolean  "is_alerted", default: true
    t.datetime "created_at",                 null: false
    t.datetime "updated_at",                 null: false
  end

  add_index "memberships", ["team_id"], name: "index_memberships_on_team_id", using: :btree
  add_index "memberships", ["user_id"], name: "index_memberships_on_user_id", using: :btree

  create_table "opening_categories", force: :cascade do |t|
    t.string   "name"
    t.string   "description"
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "priorities", force: :cascade do |t|
    t.integer  "level",       null: false
    t.string   "description", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "profiles", force: :cascade do |t|
    t.string   "name",        null: false
    t.text     "description", null: false
    t.boolean  "is_admin"
    t.boolean  "is_agent"
    t.boolean  "is_manager"
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "relations", force: :cascade do |t|
    t.string   "description", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "relationships", force: :cascade do |t|
    t.integer  "ci_id"
    t.integer  "relater_id"
    t.integer  "relation_id", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "roles", force: :cascade do |t|
    t.integer  "user_id"
    t.integer  "profile_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  add_index "roles", ["profile_id"], name: "index_roles_on_profile_id", using: :btree
  add_index "roles", ["user_id"], name: "index_roles_on_user_id", using: :btree

  create_table "states", force: :cascade do |t|
    t.string   "description", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "teams", force: :cascade do |t|
    t.string   "name",        null: false
    t.string   "description", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "urgencies", force: :cascade do |t|
    t.integer  "level",       null: false
    t.string   "description", null: false
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
  end

  create_table "users", force: :cascade do |t|
    t.string   "name",                                      null: false
    t.string   "email",                                     null: false
    t.string   "password_digest",                           null: false
    t.string   "telephone",       limit: 15
    t.string   "mobile",          limit: 15
    t.string   "address"
    t.string   "number"
    t.string   "village"
    t.string   "city"
    t.string   "state"
    t.string   "postcode"
    t.boolean  "active",                     default: true
    t.datetime "created_at",                                null: false
    t.datetime "updated_at",                                null: false
  end

  add_index "users", ["email"], name: "index_users_on_email", using: :btree

  add_foreign_key "affects", "cis"
  add_foreign_key "affects", "incidents"
  add_foreign_key "cis", "ci_types"
  add_foreign_key "cis", "teams"
  add_foreign_key "incidents", "closing_categories"
  add_foreign_key "incidents", "impacts"
  add_foreign_key "incidents", "opening_categories"
  add_foreign_key "incidents", "priorities"
  add_foreign_key "incidents", "states"
  add_foreign_key "incidents", "teams"
  add_foreign_key "incidents", "urgencies"
  add_foreign_key "logs", "incidents"
  add_foreign_key "logs", "users"
  add_foreign_key "memberships", "teams"
  add_foreign_key "memberships", "users"
  add_foreign_key "relationships", "relations"
  add_foreign_key "roles", "profiles"
  add_foreign_key "roles", "users"
end
