require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to specify the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator.  If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails.  There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.
#
# Compared to earlier versions of this generator, there is very limited use of
# stubs and message expectations in this spec.  Stubs are only used when there
# is no simpler way to get a handle on the object needed for the example.
# Message expectations are only used when there is no simpler way to specify
# that an instance is receiving a specific message.

RSpec.describe ClosingCategoriesController, type: :controller do

  # This should return the minimal set of attributes required to create a valid
  # ClosingCategory. As you add validations to ClosingCategory, be sure to
  # adjust the attributes here as well.
  let(:valid_attributes) {
    skip("Add a hash of attributes valid for your model")
  }

  let(:invalid_attributes) {
    skip("Add a hash of attributes invalid for your model")
  }

  # This should return the minimal set of values that should be in the session
  # in order to pass any filters (e.g. authentication) defined in
  # ClosingCategoriesController. Be sure to keep this updated too.
  let(:valid_session) { {} }

  describe "GET #index" do
    it "assigns all closing_categories as @closing_categories" do
      closing_category = ClosingCategory.create! valid_attributes
      get :index, {}, valid_session
      expect(assigns(:closing_categories)).to eq([closing_category])
    end
  end

  describe "GET #show" do
    it "assigns the requested closing_category as @closing_category" do
      closing_category = ClosingCategory.create! valid_attributes
      get :show, {:id => closing_category.to_param}, valid_session
      expect(assigns(:closing_category)).to eq(closing_category)
    end
  end

  describe "GET #new" do
    it "assigns a new closing_category as @closing_category" do
      get :new, {}, valid_session
      expect(assigns(:closing_category)).to be_a_new(ClosingCategory)
    end
  end

  describe "GET #edit" do
    it "assigns the requested closing_category as @closing_category" do
      closing_category = ClosingCategory.create! valid_attributes
      get :edit, {:id => closing_category.to_param}, valid_session
      expect(assigns(:closing_category)).to eq(closing_category)
    end
  end

  describe "POST #create" do
    context "with valid params" do
      it "creates a new ClosingCategory" do
        expect {
          post :create, {:closing_category => valid_attributes}, valid_session
        }.to change(ClosingCategory, :count).by(1)
      end

      it "assigns a newly created closing_category as @closing_category" do
        post :create, {:closing_category => valid_attributes}, valid_session
        expect(assigns(:closing_category)).to be_a(ClosingCategory)
        expect(assigns(:closing_category)).to be_persisted
      end

      it "redirects to the created closing_category" do
        post :create, {:closing_category => valid_attributes}, valid_session
        expect(response).to redirect_to(ClosingCategory.last)
      end
    end

    context "with invalid params" do
      it "assigns a newly created but unsaved closing_category as @closing_category" do
        post :create, {:closing_category => invalid_attributes}, valid_session
        expect(assigns(:closing_category)).to be_a_new(ClosingCategory)
      end

      it "re-renders the 'new' template" do
        post :create, {:closing_category => invalid_attributes}, valid_session
        expect(response).to render_template("new")
      end
    end
  end

  describe "PUT #update" do
    context "with valid params" do
      let(:new_attributes) {
        skip("Add a hash of attributes valid for your model")
      }

      it "updates the requested closing_category" do
        closing_category = ClosingCategory.create! valid_attributes
        put :update, {:id => closing_category.to_param, :closing_category => new_attributes}, valid_session
        closing_category.reload
        skip("Add assertions for updated state")
      end

      it "assigns the requested closing_category as @closing_category" do
        closing_category = ClosingCategory.create! valid_attributes
        put :update, {:id => closing_category.to_param, :closing_category => valid_attributes}, valid_session
        expect(assigns(:closing_category)).to eq(closing_category)
      end

      it "redirects to the closing_category" do
        closing_category = ClosingCategory.create! valid_attributes
        put :update, {:id => closing_category.to_param, :closing_category => valid_attributes}, valid_session
        expect(response).to redirect_to(closing_category)
      end
    end

    context "with invalid params" do
      it "assigns the closing_category as @closing_category" do
        closing_category = ClosingCategory.create! valid_attributes
        put :update, {:id => closing_category.to_param, :closing_category => invalid_attributes}, valid_session
        expect(assigns(:closing_category)).to eq(closing_category)
      end

      it "re-renders the 'edit' template" do
        closing_category = ClosingCategory.create! valid_attributes
        put :update, {:id => closing_category.to_param, :closing_category => invalid_attributes}, valid_session
        expect(response).to render_template("edit")
      end
    end
  end

  describe "DELETE #destroy" do
    it "destroys the requested closing_category" do
      closing_category = ClosingCategory.create! valid_attributes
      expect {
        delete :destroy, {:id => closing_category.to_param}, valid_session
      }.to change(ClosingCategory, :count).by(-1)
    end

    it "redirects to the closing_categories list" do
      closing_category = ClosingCategory.create! valid_attributes
      delete :destroy, {:id => closing_category.to_param}, valid_session
      expect(response).to redirect_to(closing_categories_url)
    end
  end

end
