require 'rails_helper'

describe User do
  before :each do
    create(:profile_user)
    @user = create(:user)
  end

  it { should validate_presence_of(:name) }
  it { should validate_presence_of(:email) }
  it { should should have_secure_password }
  it { should allow_value('(11) 9999-9999').for(:telephone) }
  it { should allow_value('(11) 99999-9999', '(11) 9999-9999').for(:mobile) }
  it { should allow_value('99999-999').for(:postcode) }
  it { should_not allow_value('(11) 99999-9999', '(11)9999-9999', '1199999999', '11 9999-9999').for(:telephone) }
  it { should_not allow_value('(11)9999-9999', '1199999999', '11999999999', '11 9999-9999', '11 99999-9999').for(:mobile) }
  it { should_not allow_value('99999999', '9999-999', '99999-99').for(:postcode) }
end
