require "rails_helper"

RSpec.describe ClosingCategoriesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/closing_categories").to route_to("closing_categories#index")
    end

    it "routes to #new" do
      expect(:get => "/closing_categories/new").to route_to("closing_categories#new")
    end

    it "routes to #show" do
      expect(:get => "/closing_categories/1").to route_to("closing_categories#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/closing_categories/1/edit").to route_to("closing_categories#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/closing_categories").to route_to("closing_categories#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/closing_categories/1").to route_to("closing_categories#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/closing_categories/1").to route_to("closing_categories#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/closing_categories/1").to route_to("closing_categories#destroy", :id => "1")
    end

  end
end
