require "rails_helper"

RSpec.describe OpeningCategoriesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/opening_categories").to route_to("opening_categories#index")
    end

    it "routes to #new" do
      expect(:get => "/opening_categories/new").to route_to("opening_categories#new")
    end

    it "routes to #show" do
      expect(:get => "/opening_categories/1").to route_to("opening_categories#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/opening_categories/1/edit").to route_to("opening_categories#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/opening_categories").to route_to("opening_categories#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/opening_categories/1").to route_to("opening_categories#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/opening_categories/1").to route_to("opening_categories#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/opening_categories/1").to route_to("opening_categories#destroy", :id => "1")
    end

  end
end
