require 'test_helper'

class SessionsControllerTest < ActionController::TestCase
  def setup
    @user = create(:user)
  end

  def teardown
  end

  test "access to login page" do
    get :new
    assert_response :success
  end

  test "login and redirect to initial page" do
    post :create, session: {email: @user.email, password: @user.password}
    assert_not_nil session[:user_id]
    assert_redirected_to users_path
  end

  test "access to logout page" do
    delete :destroy
    assert_nil session[:user_id]
    assert_redirected_to login_path
  end
end
