ENV['RAILS_ENV'] ||= 'test'
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'
require 'capybara/rails'
require 'faker'

# Initialize Faker settings
Faker::Config.locale = 'pt-BR'

class ActiveSupport::TestCase
  #  Make factory available for all test cases
  include FactoryGirl::Syntax::Methods

  # Include methods from ApplicationHelper
  include ApplicationHelper

  # Add more helper methods to be used by all tests here...
end

class ActionDispatch::IntegrationTest
  # Make the Capybara DSL available in all integration tests
  include Capybara::DSL

  # Include methods from ApplicationHelper
  include ApplicationHelper

  # Add more helper methods to be used by all tests here...

  private

  def user_login (email, password)
    visit login_url
    within('.form-signin') do
      fill_in 'session_email', with: email
      fill_in 'session_password', with: password
      click_button 'Entrar'
    end
  end

  def user_logout
    visit users_path
    click_link('Logout')
  end
end
